package com.kapil.framework.email;

public class EmailServer
{
    private String host;
    private int port;
    private String username;
    private String password;
    private Boolean useSSL;
    
    
    public EmailServer(String host, int port, String username, String password, Boolean useSSL)
    {
        this.host = host;
        this.port = port;
        this.username = username;
        this.password = password;
        this.useSSL = useSSL;
    }


    public EmailServer(String host, int port, String username, String password)
    {
        this(host, port, username, password, false);
    }

    
    public EmailServer(String host, int port, Boolean useSSL)
    {
        this(host, port, "", "", useSSL);
    }


    public EmailServer(String host, int port)
    {
        this(host, port, "", "", false);
    }

    
    
    public String getHost()
    {
        return host;
    }


    public void setHost(String host)
    {
        this.host = host;
    }


    public int getPort()
    {
        return port;
    }


    public void setPort(int port)
    {
        this.port = port;
    }


    public String getUsername()
    {
        return username;
    }


    public void setUsername(String username)
    {
        this.username = username;
    }


    public String getPassword()
    {
        return password;
    }


    public void setPassword(String password)
    {
        this.password = password;
    }


    public Boolean getUseSSL()
    {
        return useSSL;
    }


    public void setUseSSL(Boolean useSSL)
    {
        this.useSSL = useSSL;
    }
}
